import { Component, ReactNode } from 'react';
import { LocaleContext } from './index';
export interface LocaleReceiverProps {
    componentName: string;
    defaultLocale: object | Function;
    children: (locale: object, localeCode?: string) => ReactNode;
}
export interface LocaleReceiverContext {
    c7nLocale?: {
        [key: string]: any;
    };
}
export default class LocaleReceiver extends Component<LocaleReceiverProps> {
    static get contextType(): typeof LocaleContext;
    context: LocaleReceiverContext;
    getLocale(): any;
    getLocaleCode(): any;
    render(): ReactNode;
}
